<template>
  <div>
    <el-button type="primary" size="small" @click="addRole">新 建</el-button>
  </div>
</template>

<script>
export default {
  name: '',
  data() {
    return {
    };
  },
  computed:{
  },
  watch:{
  },
  methods: {
    addRole () {
      window.sessionStorage.setItem('currentEditRole', 0)
      window.sessionStorage.setItem('currentPath', '/role_managent')
      this.$store.dispatch('DrawerShowChange',true)
      this.$router.push({
        path: 'role_edit',
        query: {
          id: 0
        }
      })
    }
  }, 
};
</script>

<style scoped>

</style>
